[platformio]
default_envs = nodemcuv2

[wifi]
build_flags = -DSSID_NAME="\"{SSID name here}\"" -DSSID_PASSWORD="\"{WiFi password here}\""

[mqtt]
build_flags = -DMQTT_HOST="\"{host ip for mqtt server}\"" -DMQTT_PORT="{port number}" -DMQTT_USER="\"{username}\"" -DMQTT_PASSWORD="\"{user password}\""

[git_revision_macro]
build_flags = !python3 git_rev_macro.py

[env:nodemcuv2]
platform = espressif8266
board = nodemcuv2
framework = arduino
build_flags = ${wifi.build_flags} ${mqtt.build_flags} ${git_revision_macro.build_flags}
